--[[		NpcHider v1.4
]]--		by Ra 
local NpcHide = CreateFrame("Frame", "NpcHideFrame", nil)
local lastSetting = ""

local FourTexture = "Interface\\AddOns\\NpcHider\\Four"
local FiveTexture = "Interface\\AddOns\\NpcHider\\Five"
local AllTexture = "Interface\\AddOns\\NpcHider\\All"

SLASH_NPCHIDE1, SLASH_NPCHIDE2 = '/nop3', '/5nh';
local function slashhandler(msg, editbox)

	if (msg == '1') then
		Minimap:SetBlipTexture(TwoTexture)
		if editbox then print('Showing Players Only') end
		_HideNPC.setting = msg
		_HideNPC.toggle = msg
	elseif (msg == '2') then
		Minimap:SetBlipTexture(ThreeTexture)
		if editbox then print('Showing NPCs & Mobs Only') end
		_HideNPC.setting = msg
		_HideNPC.toggle = msg
	elseif (msg == '3') then
		Minimap:SetBlipTexture(SixTexture)
		if editbox then print('Showing Enemy Players Only') end
		_HideNPC.setting = msg
		_HideNPC.toggle = msg
	elseif (msg == '4') then
		Minimap:SetBlipTexture(SevenTexture)
		if editbox then print('Showing Friendly Players Only') end
		_HideNPC.setting = msg
		_HideNPC.toggle = msg
	elseif (msg == 'everything') then
		Minimap:SetBlipTexture(AllTexture)
		if editbox then print('Gul*dan Mode Activated: Showing Strictly Hostile Enemy Player Icons Only! Hiding EVERYTHING! All minimap icons such as quest objectives, pvp objectives, townsfolk, points of interest, party members, nodes etc, are now all hidden. Happy Hunting!') end
		_HideNPC.setting = msg
		_HideNPC.toggle = msg
	elseif (msg == 'reset') then
		Minimap:SetBlipTexture(OneTexture)
		if editbox then print("NpcHider Reset - Showing All") end
		_HideNPC.setting = msg
	elseif (msg == 'toggle') then
		toggle()
	else
		print('6 -- Show NPCs, Mobs, & Friendly Players Only')
		print('reset -- Show Everything (resets last used option)')
		print('toggle -- Enable/Disable NpcHider (retains last used option)')
		print('--------------------------------------------------------------------------')
		print('note: mobs = hunter tracking; beasts/demons/dragonkin/elementals/ghosts/giants/undead.')
	end
end

function toggle()

	if not _HideNPC.setting then
		slashhandler('1',nil)
	elseif _HideNPC.setting == '1' or _HideNPC.setting == '2' or _HideNPC.setting == '3' or _HideNPC.setting == '4' or _HideNPC.setting == '5' or _HideNPC.setting == '6' then
		slashhandler('reset',nil)
	elseif _HideNPC.setting == 'reset' then
		slashhandler(_HideNPC.toggle, nil)
	end
end
SlashCmdList["NPCHIDE"] = slashhandler;

local function onEvent(self, event, addonName, ...)
	
	if (event == "ADDON_LOADED" and addonName == "NpcHider") 
		end
		
		slashhandler(_HideNPC.setting, nil)
		
	end
	
end

NpcHide:RegisterEvent("ADDON_LOADED")
NpcHide:SetScript("OnEvent", onEvent)